# dgs-framework

![CI](https://github.com/Netflix/dgs-framework/workflows/CI/badge.svg?branch=master)
[![GitHub release](https://img.shields.io/github/v/release/Netflix/dgs-framework.svg)](https://GitHub.com/Netflix/dgs-framework/releases)
[![Apache 2.0](https://img.shields.io/github/license/nebula-plugins/gradle-netflixoss-project-plugin.svg)](http://www.apache.org/licenses/LICENSE-2.0)

Documentation can be found [here](https://netflix.github.io/dgs), including a getting started guide.

The DGS Framework (Domain Graph Service) is a GraphQL server framework for Spring Boot, developed by Netflix.

Features include:

* Annotation based Spring Boot programming model
* Test framework for writing query tests as unit tests
* Gradle Code Generation plugin to create types from schema
* Easy integration with GraphQL Federation
* Integration with Spring Security
* GraphQL subscriptions (WebSockets and SSE)
* File uploads
* Error handling
* Many extension points

# Getting Started

Follow the [getting started guide](https://netflix.github.io/dgs/getting-started/)!

# Contributing, asking questions and reporting issues.

Please read our [contributor guide](CONTRIBUTING.md)!
